aboutsummaryrefslogtreecommitdiffstats
path: root/core/sudo/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-13 11:47:23 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-13 11:47:23 +0000
commit477d44b50b5292ee75a95e6e020b850307988e02 (patch)
tree8fcff5154109de59174c4c6e8fdcba12f312803e /core/sudo/APKBUILD
parent838e29ee1c0b19dcff08a28343045c3c3243dce4 (diff)
downloadaports-477d44b50b5292ee75a95e6e020b850307988e02.tar.gz
aports-477d44b50b5292ee75a95e6e020b850307988e02.tar.bz2
aports-477d44b50b5292ee75a95e6e020b850307988e02.tar.xz
core/sudo: upgrade to 1.7.0
Diffstat (limited to 'core/sudo/APKBUILD')
-rw-r--r--core/sudo/APKBUILD13
1 files changed, 6 insertions, 7 deletions
diff --git a/core/sudo/APKBUILD b/core/sudo/APKBUILD
index 6baa11b610..61d84eae4c 100644
--- a/core/sudo/APKBUILD
+++ b/core/sudo/APKBUILD
@@ -1,18 +1,17 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=sudo
-pkgver=1.6.9_p17
-_myver=1.6.9p17
-pkgrel=1
+pkgver=1.7.0
+pkgrel=0
pkgdesc="Give certain users the ability to run some commands as root"
url="http://www.sudo.ws/sudo/"
license='custom ISC'
depends='uclibc'
backup='etc/sudoers'
-source="ftp://ftp.sudo.ws/pub/sudo/$pkgname-$_myver.tar.gz"
+source="ftp://ftp.sudo.ws/pub/sudo/$pkgname-$pkgver.tar.gz"
subpackages="$pkgname-doc"
build() {
- cd "$srcdir/$pkgname-$_myver"
+ cd "$srcdir/$pkgname-$pkgver"
./configure --prefix=/usr \
--with-env-editor \
@@ -21,7 +20,7 @@ build() {
--without-offensive-insults \
|| return 1
make || return 1
- make DESTDIR="$pkgdir" install || return 1
+ make -j1 DESTDIR="$pkgdir" install || return 1
}
-md5sums="60daf18f28e2c1eb7641c4408e244110 sudo-1.6.9p17.tar.gz"
+md5sums="5fd96bba35fe29b464f7aa6ad255f0a6 sudo-1.7.0.tar.gz"